Bug 70681 - Some special char's display wrong
Some special char's display wrong
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
Reported: 2002-08-03 19:16 EDT by P Jones
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-10 15:15:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description P Jones 2002-08-03 19:16:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
Gnome terminal displays the 7 charactor as umm...
| |
(Sorrta a "A" with the middle line at the bottom)
instead of the "centered ."  that other term's (console, xterm, etc) display
(note echo 7 | xxd  gives 0000000: b70a           ..)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.open gnome-term
2. hit AltGr-.
3. You do have AltGr mapped, right?

Additional info:
Comment 1 Havoc Pennington 2002-08-04 11:39:06 EDT
Can you add information about your current locale (echo $LANG)?
Comment 2 P Jones 2002-08-04 12:59:09 EDT
I've tried it with en_US.iso885915 and en_GB (modified $GDM_LANG and restarted X).  
Actually, I'm not really sure where $GDM_LANG is supposed to be set, so I set it
in ~/.i18n.  I noted that /etc/profile.d/lang.sh overrides $LANG with $GDM_LANG,
but can't find where it gets $GDM_LANG from in the first place.
[root@blip etc]# grep GDM_LANG $(find) -c | grep -v :0$
But it's SET in none of these.
Comment 3 Havoc Pennington 2002-08-04 13:08:37 EDT
GDM_LANG is set by gdm.

Note that the default en_US locale is en_US.UTF-8 not iso885915; 
the problem is possibly a mismatch where the X server is sending UTF-8.
Comment 4 P Jones 2002-08-04 14:58:04 EDT
Ok. for some, unknown reason, it wasn't setting $GDM_LANG to that- I selected
American English manualy and it did set $GDM_LANG (and thus $LANG) to
en_US.UTF-8, but it still mis-displaied the char.
Comment 5 P Jones 2002-08-04 15:06:38 EDT
as a side note, AltGr-. and Compose-.-. seem to both give the centered dot
(0xC2B7) in xterm, while in Gnome-terminal Compose-.-. gives 0xCB99 (a centered
dot) and AltGr-. does the 0xC2B7 ( The Wedge)
Comment 6 P Jones 2002-08-04 16:30:21 EDT
a few other things along the same vein that don't work are Non-Breaking space (
d compose-SPACE-SPACE d should be three non-whitespace letters) Compose-1-2
should give =, and Compose-1-4 should <.  

The Compose-.-. in my previous message looks more raised then centered, but I'd
be willing to beleive that's a font thing.
Comment 7 Ray Strode [halfline] 2004-11-10 15:15:24 EST
This looks fixed now.

Note You need to log in before you can comment on or make changes to this bug.